
#ifndef _RHYTHMS_H
#define _RHYTHMS_H

//drum triggers
#define TRIG_KICK 3
#define TRIG_SNR 4
#define TRIG_HH 5
#define TRIG_RIM 6
#define TRIG_ACC 2

//controls
#define MIDIEXT 7
#define TEMPO A2
#define BEAT A0
#define STST A1

bool stbuttprev = false;
int tempo_prev = 0;
bool runnin = true;

//RHY1*********************************************************
bool RHY_ROCK_K[16] =
{true,false,false,false,true,false,false,false,
 true,false,false,false,true,false,false,false};

bool RHY_ROCK_S[16] =
{false,false,true,false,false,false,true,false,
 false,false,true,false,false,false,true,false};
 
bool RHY_ROCK_H[16] =
{true,true,true,true,true,true,true,true,
 true,true,true,true,true,true,true,true};

bool RHY_ROCK_R[16] =
{false,false,false,false,false,false,false,false,
 false,false,false,false,false,true,false,true};

bool RHY_ROCK_A[16] =
{true,false,true,false,true,false,true,false,
 true,false,true,false,true,false,true,false};

//RHY2*********************************************************
bool RHY_POP_K[16] =
{true,false,false,false,false,false,true,false,
 true,false,true,false,false,false,false,false};

bool RHY_POP_S[16] =
{false,false,false,false,true,false,false,false,
 false,false,false,false,true,false,false,false};

bool RHY_POP_H[16] =
{true,false,true,false,true,false,true,false,
 true,false,true,false,true,false,true,true};

bool RHY_POP_R[16] =
{false,false,false,false,false,false,false,false,
 false,false,false,false,false,false,false,false};

bool RHY_POP_A[16] =
{false,false,false,false,false,false,false,false,
 false,false,false,false,false,false,false,true};

//RHY3*********************************************************
bool RHY_SWING_K[16] =
{true,false,false,false,false,false,true,false,
 false,false,false,false,true,false,true,false};

bool RHY_SWING_S[16] =
{false,false,false,false,false,false,false,false,
 false,false,false,false,false,false,false,false};

bool RHY_SWING_H[16] =
{true,false,true,true,false,true,true,false,
 true,true,false,true,true,false,false,true};

bool RHY_SWING_R[16] =
{false,false,false,true,false,false,false,false,
 false,true,false,false,false,false,true,false};

bool RHY_SWING_A[16] =
{true,false,false,true,false,false,true,false,
 false,true,false,false,true,false,true,false};

//RHY4*********************************************************
bool RHY_SLOWROCK_K[16] =
{true,false,false,false,false,false,false,false,
 false,false,false,false,false,false,true,false};

bool RHY_SLOWROCK_S[16] =
{false,false,false,false,false,false,false,false,
 true,false,false,false,false,false,false,false};

bool RHY_SLOWROCK_H[16] =
{true,false,true,false,true,false,true,false,
 true,false,true,false,true,false,true,false};

bool RHY_SLOWROCK_R[16] =
{false,false,false,false,false,false,false,false,
 false,false,false,false,false,false,true,true};

bool RHY_SLOWROCK_A[16] =
{false,false,true,false,false,false,true,false,
 false,false,true,false,false,false,true,false};

//RHY5*********************************************************
bool RHY_MARCH_K[16] =
{true,false,false,false,true,false,false,false,
 true,false,false,false,true,false,false,false};

bool RHY_MARCH_S[16] =
{true,false,true,true,true,false,true,false,
 true,true,true,false,true,false,true,false};

bool RHY_MARCH_H[16] =
{true,false,false,false,false,false,false,false,
 false,false,false,false,false,false,false,false};

bool RHY_MARCH_R[16] =
{false,false,false,false,false,false,false,false,
 false,false,false,false,true,false,true,false};

bool RHY_MARCH_A[16] =
{true,false,false,false,true,false,true,false,
 false,false,true,false,false,false,true,false};

//RHY6*********************************************************
bool RHY_RAP_K[16] =
{true,false,false,false,true,false,false,false,
 true,false,false,false,true,false,false,true};

bool RHY_RAP_S[16] =
{false,false,true,false,false,false,true,false,
 false,false,true,false,false,false,true,false};

bool RHY_RAP_H[16] =
{false,true,false,true,false,true,false,true,
 false,true,false,true,false,true,false,true};

bool RHY_RAP_R[16] =
{false,false,false,false,false,false,false,false,
 false,false,true,true,false,true,true,false};

bool RHY_RAP_A[16] =
{false,false,false,false,false,false,false,false,
 false,false,false,false,true,false,true,false};

//RHY7*********************************************************
bool RHY_METAL_K[16] =
{true,true,true,false,true,true,true,false,
 true,true,true,false,true,true,true,false};

bool RHY_METAL_S[16] =
{false,false,false,false,false,false,false,false,
 true,false,false,false,false,false,false,false};

bool RHY_METAL_H[16] =
{true,false,true,false,true,false,true,false,
 true,false,true,false,true,false,true,false};

bool RHY_METAL_R[16] =
{false,false,false,false,false,false,false,false,
 false,false,false,false,false,false,false,false};

bool RHY_METAL_A[16] =
{false,false,false,false,false,false,false,false,
 false,false,false,false,false,false,false,false};

//RHY8*********************************************************
bool RHY_ROCKTWO_K[16] =
{true,false,false,false,true,true,false,false,
 true,false,false,false,true,true,false,false};

bool RHY_ROCKTWO_S[16] =
{false,false,true,false,false,false,true,false,
 false,false,true,false,false,false,true,false};

bool RHY_ROCKTWO_H[16] =
{true,true,true,true,true,true,true,true,
 true,true,true,true,true,true,true,true};

bool RHY_ROCKTWO_R[16] =
{false,true,false,true,false,true,false,true,
 false,true,false,true,false,true,false,true};

bool RHY_ROCKTWO_A[16] =
{true,false,true,false,true,false,true,false,
 true,false,true,false,true,false,true,false};

#endif


